/////////////////////////////////////////////////////////////////////////////
// Name:        No names yet.
// Purpose:     Contrib. demo
// Author:      Aleksandras Gluchovas
// Modified by:
// Created:     2000/02/08
// RCS-ID:      $Id: strlist.h,v 1.3 2001/04/15 10:00:43 aleksandras Exp $
// Copyright:   (c) Aleksandras Gluchovas
// Licence:   	GPL (version 2.0 or later)
/////////////////////////////////////////////////////////////////////////////

#ifndef __STRLIST_G__
#define __STRLIST_G__

#include "wx/dynarray.h"

WX_DEFINE_ARRAY( wxString*, StringPtrArrayT );

class wxDynStrList : public wxObject
{
public:
	wxDynStrList();
	~wxDynStrList();
	
	void Add( const wxString& str );
	void Remove( const wxString& str );
	void Remove( size_t index );
	wxString& Item( size_t index ) const;
	wxString& operator[]( size_t index ) const;
	void Insert( const wxString& str, size_t uiIndex);
	wxString& Last() const;
	bool IsEmpty() const;
	int GetCount() const;
	int Count() const ;
	void Clear();

protected:
	StringPtrArrayT mStrArray;
};

typedef wxDynStrList StrListT;

#endif // __STRLIST_G__